# 一、工程说明
该工程为`MPSCMM供应链和制造服务云`领域静态资源，包含该领域自有的自定义控件、图片/图标等，最终会在与`MPSCMM`补丁一并发布.
# 二、工程规范
## 1、目录规范
规范实例目录如下：
```
├── kingdee/
|   ├── mpscmm/                        // 可为应用标识，需全局唯一
|   |    ├── images/                  // 子领域图片资源
|   |    |    ├── pc /                 // PC端图片资源（按业务场景可在分子目录）
|   |    |    ├── mobile/              // 移动端图片资源（按业务场景可在分子目录）
|   |    |    └── ..../                // 更多
|   |    ├── 自定义控件标识1/         // 自定义控件资源
|   |    ├── 自定义控件标识2/         // 自定义控件资源
|   |    ├── 自定义控件标识3/         // 自定义控件资源
|   |    ├── xxxx/                   // 非自定义控件资源等
|   |    └── ..../                   // 更多
|   └── XXXX/                        // 可为应用标识，需全局唯一
|       ├── images/                  // 子领域图片资源
|       |    ├── pc /                 // PC端图片资源（按业务场景可在分子目录）
|       |    ├── mobile/              // 移动端图片资源（按业务场景可在分子目录）
|       |    └── ..../                 // 更多
|       ├── 自定义控件标识1/         // 自定义控件资源
|       ├── 自定义控件标识2/         // 自定义控件资源
|       ├── 自定义控件标识3/         // 自定义控件资源
|       ├── xxxx/                   // 非自定义控件资源等
|       └── ..../                   // 更多

```
**注意：**
* 根目录固定为`kingdee`，禁止增加一级目录，只允许在kingde目录下新增二级目录；
* 二级目录需保证全局唯一，不能与其他业务冲突，可为应用缩写；

## 2、文件规范
* 所有目录及文件名禁止包含中文，均为英文小写，可用`-`连接符，如`aaa-bb.js`
* 建议可上传的文件格式有：`jpg、jpeg、png、gif、ico、xml、js、java、css、html、htm、swf、txt、psd、json、eot、svg、ttf、woff、ftl、keep、wd3、eot@、woff2、otf、less、scss、map、md、php、yml、ai、tmpl、log、version、ts、wsdl、bat、xlsm、sfd、webp、mf`
* 禁止可上传的文件格式有：`exe、sh、bat、ds_store、art、bak、css_bak、sample、idx、pach、rar、bk、wav、bcmap`等可能的可执行文件
* 所有的图片资源需先通过用户体验部的无损压缩，`减少体积`，图片发布后请勿随意改名
* 单个文件不得超过`1M`
* 如过自定义控件需要编译构建的，源码需另外维护，此处为编译后可发布的文件